Subject: Re: [PATCH] MAINTAINERS: update maintainer list for Infineon

From: Kalle Valo <[email-masked]>
Date: Thu, 10 Feb 2022 16:10:42 +0200

Arend Van Spriel <[email-masked]> writes:

> On January 31, 2022 4:08:29 PM Kalle Valo <[email-masked]> wrote:
>
>> Wright Feng <[email-masked]> writes:
>>
>>> From: Chi-Hsien Lin <[email-masked]>
>>>
>>> Add new maintainer and remove old maintainers.
>>>
>>> Signed-off-by: Chi-Hsien Lin <[email-masked]>
>>> Signed-off-by: Wright Feng <[email-masked]>
>>> ---
>>> MAINTAINERS | 4 ++--
>>> 1 file changed, 2 insertions(+), 2 deletions(-)
>>>
>>> diff --git a/MAINTAINERS b/MAINTAINERS
>>> index 5ebfc9de0caf..845058803f95 100644
>>> --- a/MAINTAINERS
>>> +++ b/MAINTAINERS
>>> @@ -3759,9 +3759,9 @@ BROADCOM BRCM80211 IEEE802.11n WIRELESS DRIVER
>>> M: Arend van Spriel <[email-masked]>
>>> M: Franky Lin <[email-masked]>
>>> M: Hante Meuleman <[email-masked]>
>>> -M: Chi-hsien Lin <[email-masked]>
>>> M: Wright Feng <[email-masked]>
>>> -M: Chung-hsien Hsu <[email-masked]>
>>> +M: Double Lo <[email-masked]>
>>> +M: Kurt Lee <[email-masked]>
>>
>> I'm not really a fan of having too many maintainers, I would say max is
>> 3 and even that needs good justification. And most importantly, is
>> anyone else than Arend even doing any maintainer work for brcmfmac and
>> brcmsmac?
>
> Guess it should be clear what falls under the term "maintainer work".

>From my point of view most important tasks of a maintainer are reviewing
patches and addressessing regressions (both runtime and build issues).
Of course there are others tasks as well, but these I consider crucial.

> Infineon does a better job these days when it comes to contributions
> adding features and new chip support, but that doesn't fall under the
> category although maintainers do submit their own patches. It's good
> to have a go-to guy at Infineon as they independently work on firmware
> and it's APIs. On our side I can probably remove Hante from the list.

Anyone can submit patches, and there can be a contact person from a
company even if it's not mentioned in MAINTAINERS.

I want to see that a maintainer really cares about upstream and works
with the community, like you Arend do. I do not want to add persons to
MAINTAINERS file and never hear from them again, that's just wasting
everyone's time.

To give a positive example, Ping does a great job maintaining Realtek's
rtw88 and rtw89 drivers. So if a company wants to learn how to become a
good maintainer, follow what Ping does :)

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches